Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595767 - Add missing admin functions to cumin-admin
Summary: Add missing admin functions to cumin-admin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin
Version: Development
Hardware: All
OS: Linux
high
medium
Target Milestone: 1.3
: ---
Assignee: Justin Ross
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks: 595746
TreeView+ depends on / blocked
 
Reported: 2010-05-25 15:03 UTC by Justin Ross
Modified: 2010-10-20 11:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-20 11:29:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Ross 2010-05-25 15:03:10 UTC
* Role assignment
* Change password

Comment 1 Justin Ross 2010-08-02 21:42:06 UTC
Done in revision 4185.

Comment 2 Jan Sarenik 2010-09-03 11:46:58 UTC
Verified on cumin-0.1.4219-1.el5

Both password change and assignment add/remove works. Just that there
is no way to list current assignments for a user. Or did I overlook
something? Should I create a new bug for that?

# cumin-admin
usage: cumin-admin [OPTIONS] COMMAND

User commands:

  add-user USER [PASSWORD]      Add USER
  remove-user USER              Remove USER
  add-assignment USER ROLE      Add USER to ROLE
  remove-assignment USER ROLE   Remove USER from ROLE
  change-password USER          Change USER's password
  list-users                    List users
  list-roles                    List roles

Schema commands:

  check-schema                  Check schema
  create-schema                 Create schema objects
  drop-schema                   Drop schema and all data
  print-schema                  Print the schema definition

Comment 3 Justin Ross 2010-09-10 16:59:47 UTC
Sorry about the delay.  I missed this one.  The assignments are listed in the second column of the list-users output.


Note You need to log in before you can comment on or make changes to this bug.